Bug 701295 - /usr/bin/dtrace should obey $CC
/usr/bin/dtrace should obey $CC
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stan Cox
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-05-02 09:46 EDT by Dan Winship
Modified: 2012-02-03 14:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-03 14:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2011-05-02 09:46:29 EDT
Compiling glib currently gives warnings like:

*** Warning: Linking the shared library libglib-2.0.la against the non-libtool
*** objects  glib_probes.o is not portable!

An easy way to fix this without noticeably breaking solaris command-line compatibility would be to have dtrace use $CC instead of 'gcc' to compile the temp file. Then we could do something like:

    CC="libtool --mode=compile gcc" dtrace -s -G ...

This could also be used to fix bug 663289.
Comment 1 Stan Cox 2011-05-05 13:54:16 EDT
commit: b1568fd85e Dtrace script should honor $CPP, $CC, $CFLAGS
Comment 3 Frank Ch. Eigler 2012-02-03 14:14:06 EST
stap 1.6 and 1.7 should have this fix.

Note You need to log in before you can comment on or make changes to this bug.